Index: c/src/tests/sptests/ChangeLog
===================================================================
--- c/src/tests/sptests/ChangeLog	(revision 6184265d9ed5544f209a7a152f4552e10fa10b7d)
+++ c/src/tests/sptests/ChangeLog	(revision afcd56350bed45fcf0b7afd777dc5d054d577af7)
@@ -1,2 +1,8 @@
+2002-11-14	Joel Sherrill <joel@OARcorp.com>
+
+	* sp02/sp02.scn, sp15/sp15.scn, sp16/sp16.scn, sp20/sp20.scn,
+	sp22/sp22.scn, sp23/sp23.scn, sp25/sp25.scn, sp31/sp31.scn: Per PR239
+	update the IDs in the screens.
+
 2002-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/tests/sptests/sp02/sp02.scn
===================================================================
--- c/src/tests/sptests/sp02/sp02.scn	(revision 6184265d9ed5544f209a7a152f4552e10fa10b7d)
+++ c/src/tests/sptests/sp02/sp02.scn	(revision afcd56350bed45fcf0b7afd777dc5d054d577af7)
@@ -6,6 +6,6 @@
 TA2 - rtems_task_wake_after - sleep 1 minute
 TA3 - rtems_task_wake_after - sleep 5 seconds
-TA1 - rtems_task_ident - tid of TA2 (0x08010007)
-TA1 - rtems_task_ident - tid of TA3 (0x08010008)
+TA1 - rtems_task_ident - tid of TA2 (0x0a010004)
+TA1 - rtems_task_ident - tid of TA3 (0x0a010002)
 TA1 - rtems_task_set_priority - set TA3's priority to 2
 TA1 - rtems_task_suspend - suspend TA2
Index: c/src/tests/sptests/sp15/sp15.scn
===================================================================
--- c/src/tests/sptests/sp15/sp15.scn	(revision 6184265d9ed5544f209a7a152f4552e10fa10b7d)
+++ c/src/tests/sptests/sp15/sp15.scn	(revision afcd56350bed45fcf0b7afd777dc5d054d577af7)
@@ -2,6 +2,6 @@
 INIT - rtems_partition_create - partition 1
 INIT - rtems_partition_create - partition 2
-TA1 - rtems_partition_ident - partition 1 id = 20010001
-TA1 - rtems_partition_ident - partition 2 id = 20010002
+TA1 - rtems_partition_ident - partition 1 id = 2a010001
+TA1 - rtems_partition_ident - partition 2 id = 2a010002
 TA1 - rtems_partition_get_buffer - buffer 1 from partition 1  - 0x00000000
 TA1 - rtems_partition_get_buffer - buffer 2 from partition 1  - 0x00000200
Index: c/src/tests/sptests/sp16/sp16.scn
===================================================================
--- c/src/tests/sptests/sp16/sp16.scn	(revision 6184265d9ed5544f209a7a152f4552e10fa10b7d)
+++ c/src/tests/sptests/sp16/sp16.scn	(revision afcd56350bed45fcf0b7afd777dc5d054d577af7)
@@ -1,4 +1,4 @@
 *** TEST 16 ***
-TA1 - rtems_region_ident - rnid => 24010002
+TA1 - rtems_region_ident - rnid => 32010002
 TA1 - rtems_region_get_segment - wait on 100 byte segment from region 2
 TA1 - got segment from region 2 - 0x00000f78
Index: c/src/tests/sptests/sp20/sp20.scn
===================================================================
--- c/src/tests/sptests/sp20/sp20.scn	(revision 6184265d9ed5544f209a7a152f4552e10fa10b7d)
+++ c/src/tests/sptests/sp20/sp20.scn	(revision afcd56350bed45fcf0b7afd777dc5d054d577af7)
@@ -1,20 +1,20 @@
 *** TEST 20 ***
-TA1 - rtems_rate_monotonic_create id = 0x2c010001
-TA1 - rtems_rate_monotonic_ident id = 0x2c010001
+TA1 - rtems_rate_monotonic_create id = 0x42010001
+TA1 - rtems_rate_monotonic_ident id = 0x42010001
 TA1 - (0x2c010001) period 2
-TA2 - rtems_rate_monotonic_create id = 0x2c010002
-TA2 - rtems_rate_monotonic_ident id = 0x2c010002
+TA2 - rtems_rate_monotonic_create id = 0x42010002
+TA2 - rtems_rate_monotonic_ident id = 0x42010002
 TA2 - (0x2c010002) period 2
-TA3 - rtems_rate_monotonic_create id = 0x2c010003
-TA3 - rtems_rate_monotonic_ident id = 0x2c010003
+TA3 - rtems_rate_monotonic_create id = 0x42010003
+TA3 - rtems_rate_monotonic_ident id = 0x42010003
 TA3 - (0x2c010003) period 2
-TA4 - rtems_rate_monotonic_create id = 0x2c010004
-TA4 - rtems_rate_monotonic_ident id = 0x2c010004
+TA4 - rtems_rate_monotonic_create id = 0x42010004
+TA4 - rtems_rate_monotonic_ident id = 0x42010004
 TA4 - (0x2c010004) period 2
-TA5 - rtems_rate_monotonic_create id = 0x2c010005
-TA5 - rtems_rate_monotonic_ident id = 0x2c010005
+TA5 - rtems_rate_monotonic_create id = 0x42010005
+TA5 - rtems_rate_monotonic_ident id = 0x42010005
 TA5 - (0x2c010005) period 100
-TA6 - rtems_rate_monotonic_create id = 0x2c010006
-TA6 - rtems_rate_monotonic_ident id = 0x2c010006
+TA6 - rtems_rate_monotonic_create id = 0x42010006
+TA6 - rtems_rate_monotonic_ident id = 0x42010006
 TA6 - (0x2c010006) period 0
 TA5 - PERIODS CHECK OK (1)
Index: c/src/tests/sptests/sp22/sp22.scn
===================================================================
--- c/src/tests/sptests/sp22/sp22.scn	(revision 6184265d9ed5544f209a7a152f4552e10fa10b7d)
+++ c/src/tests/sptests/sp22/sp22.scn	(revision afcd56350bed45fcf0b7afd777dc5d054d577af7)
@@ -1,7 +1,7 @@
 *** TEST 22 ***
 INIT - rtems_timer_create - creating timer 1
-INIT - timer 1 has id (0x14010001)
+INIT - timer 1 has id (0x12010001)
 TA1 - rtems_timer_ident - identing timer 1
-TA1 - timer 1 has id (0x14010001)
+TA1 - timer 1 has id (0x12010001)
 TA1 - rtems_clock_get - 09:00:00   12/31/1988
 TA1 - rtems_timer_fire_after - timer 1 in 3 seconds
Index: c/src/tests/sptests/sp23/sp23.scn
===================================================================
--- c/src/tests/sptests/sp23/sp23.scn	(revision 6184265d9ed5544f209a7a152f4552e10fa10b7d)
+++ c/src/tests/sptests/sp23/sp23.scn	(revision afcd56350bed45fcf0b7afd777dc5d054d577af7)
@@ -1,5 +1,5 @@
 *** TEST 23 ***
 INIT - rtems_port_create - DP1 - int = 0x1000   ext = 0x2000
-TA1 - rtems_port_ident - 0x28010001
+TA1 - rtems_port_ident - 0x3a010001
 TA1 - rtems_port_external_to_internal - 0x200e  =>  0x100e
 TA1 - rtems_port_internal_to_external - 0x100e  =>  0x200e
Index: c/src/tests/sptests/sp25/sp25.scn
===================================================================
--- c/src/tests/sptests/sp25/sp25.scn	(revision 6184265d9ed5544f209a7a152f4552e10fa10b7d)
+++ c/src/tests/sptests/sp25/sp25.scn	(revision afcd56350bed45fcf0b7afd777dc5d054d577af7)
@@ -3,5 +3,5 @@
       segments noted as being returned were allocated from the region.
 *** TEST 25 ***
-TA1 - rtems_region_ident - 0x24010002
+TA1 - rtems_region_ident - 0x32010002
 TA1 - rtems_region_get_segment - wait on 64 byte segment from region 1
 TA1 - got segment from region 1 - 0xXXXXXXXX
Index: c/src/tests/sptests/sp31/sp31.scn
===================================================================
--- c/src/tests/sptests/sp31/sp31.scn	(revision 6184265d9ed5544f209a7a152f4552e10fa10b7d)
+++ c/src/tests/sptests/sp31/sp31.scn	(revision afcd56350bed45fcf0b7afd777dc5d054d577af7)
@@ -1,11 +1,11 @@
 *** TEST 31 ***
 INIT - rtems_timer_create - creating timer 1
-INIT - timer 1 has id (0x14010001)
+INIT - timer 1 has id (0x12010001)
 INIT - rtems_timer_create - creating timer 2
-INIT - timer 2 has id (0x14010002)
+INIT - timer 2 has id (0x12010002)
 TA1 - rtems_timer_ident - identing timer 1
-TA1 - timer 1 has id (0x14010001)
+TA1 - timer 1 has id (0x12010001)
 TA1 - rtems_timer_ident - identing timer 2
-TA1 - timer 2 has id (0x14010002)
+TA1 - timer 2 has id (0x12010002)
 TA1 - rtems_timer_server_fire_after - 1 second
 TA1 - rtems_task_wake_after - 1/2 second
Index: testsuites/sptests/ChangeLog
===================================================================
--- testsuites/sptests/ChangeLog	(revision 6184265d9ed5544f209a7a152f4552e10fa10b7d)
+++ testsuites/sptests/ChangeLog	(revision afcd56350bed45fcf0b7afd777dc5d054d577af7)
@@ -1,2 +1,8 @@
+2002-11-14	Joel Sherrill <joel@OARcorp.com>
+
+	* sp02/sp02.scn, sp15/sp15.scn, sp16/sp16.scn, sp20/sp20.scn,
+	sp22/sp22.scn, sp23/sp23.scn, sp25/sp25.scn, sp31/sp31.scn: Per PR239
+	update the IDs in the screens.
+
 2002-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: testsuites/sptests/sp02/sp02.scn
===================================================================
--- testsuites/sptests/sp02/sp02.scn	(revision 6184265d9ed5544f209a7a152f4552e10fa10b7d)
+++ testsuites/sptests/sp02/sp02.scn	(revision afcd56350bed45fcf0b7afd777dc5d054d577af7)
@@ -6,6 +6,6 @@
 TA2 - rtems_task_wake_after - sleep 1 minute
 TA3 - rtems_task_wake_after - sleep 5 seconds
-TA1 - rtems_task_ident - tid of TA2 (0x08010007)
-TA1 - rtems_task_ident - tid of TA3 (0x08010008)
+TA1 - rtems_task_ident - tid of TA2 (0x0a010004)
+TA1 - rtems_task_ident - tid of TA3 (0x0a010002)
 TA1 - rtems_task_set_priority - set TA3's priority to 2
 TA1 - rtems_task_suspend - suspend TA2
Index: testsuites/sptests/sp15/sp15.scn
===================================================================
--- testsuites/sptests/sp15/sp15.scn	(revision 6184265d9ed5544f209a7a152f4552e10fa10b7d)
+++ testsuites/sptests/sp15/sp15.scn	(revision afcd56350bed45fcf0b7afd777dc5d054d577af7)
@@ -2,6 +2,6 @@
 INIT - rtems_partition_create - partition 1
 INIT - rtems_partition_create - partition 2
-TA1 - rtems_partition_ident - partition 1 id = 20010001
-TA1 - rtems_partition_ident - partition 2 id = 20010002
+TA1 - rtems_partition_ident - partition 1 id = 2a010001
+TA1 - rtems_partition_ident - partition 2 id = 2a010002
 TA1 - rtems_partition_get_buffer - buffer 1 from partition 1  - 0x00000000
 TA1 - rtems_partition_get_buffer - buffer 2 from partition 1  - 0x00000200
Index: testsuites/sptests/sp16/sp16.scn
===================================================================
--- testsuites/sptests/sp16/sp16.scn	(revision 6184265d9ed5544f209a7a152f4552e10fa10b7d)
+++ testsuites/sptests/sp16/sp16.scn	(revision afcd56350bed45fcf0b7afd777dc5d054d577af7)
@@ -1,4 +1,4 @@
 *** TEST 16 ***
-TA1 - rtems_region_ident - rnid => 24010002
+TA1 - rtems_region_ident - rnid => 32010002
 TA1 - rtems_region_get_segment - wait on 100 byte segment from region 2
 TA1 - got segment from region 2 - 0x00000f78
Index: testsuites/sptests/sp20/sp20.scn
===================================================================
--- testsuites/sptests/sp20/sp20.scn	(revision 6184265d9ed5544f209a7a152f4552e10fa10b7d)
+++ testsuites/sptests/sp20/sp20.scn	(revision afcd56350bed45fcf0b7afd777dc5d054d577af7)
@@ -1,20 +1,20 @@
 *** TEST 20 ***
-TA1 - rtems_rate_monotonic_create id = 0x2c010001
-TA1 - rtems_rate_monotonic_ident id = 0x2c010001
+TA1 - rtems_rate_monotonic_create id = 0x42010001
+TA1 - rtems_rate_monotonic_ident id = 0x42010001
 TA1 - (0x2c010001) period 2
-TA2 - rtems_rate_monotonic_create id = 0x2c010002
-TA2 - rtems_rate_monotonic_ident id = 0x2c010002
+TA2 - rtems_rate_monotonic_create id = 0x42010002
+TA2 - rtems_rate_monotonic_ident id = 0x42010002
 TA2 - (0x2c010002) period 2
-TA3 - rtems_rate_monotonic_create id = 0x2c010003
-TA3 - rtems_rate_monotonic_ident id = 0x2c010003
+TA3 - rtems_rate_monotonic_create id = 0x42010003
+TA3 - rtems_rate_monotonic_ident id = 0x42010003
 TA3 - (0x2c010003) period 2
-TA4 - rtems_rate_monotonic_create id = 0x2c010004
-TA4 - rtems_rate_monotonic_ident id = 0x2c010004
+TA4 - rtems_rate_monotonic_create id = 0x42010004
+TA4 - rtems_rate_monotonic_ident id = 0x42010004
 TA4 - (0x2c010004) period 2
-TA5 - rtems_rate_monotonic_create id = 0x2c010005
-TA5 - rtems_rate_monotonic_ident id = 0x2c010005
+TA5 - rtems_rate_monotonic_create id = 0x42010005
+TA5 - rtems_rate_monotonic_ident id = 0x42010005
 TA5 - (0x2c010005) period 100
-TA6 - rtems_rate_monotonic_create id = 0x2c010006
-TA6 - rtems_rate_monotonic_ident id = 0x2c010006
+TA6 - rtems_rate_monotonic_create id = 0x42010006
+TA6 - rtems_rate_monotonic_ident id = 0x42010006
 TA6 - (0x2c010006) period 0
 TA5 - PERIODS CHECK OK (1)
Index: testsuites/sptests/sp22/sp22.scn
===================================================================
--- testsuites/sptests/sp22/sp22.scn	(revision 6184265d9ed5544f209a7a152f4552e10fa10b7d)
+++ testsuites/sptests/sp22/sp22.scn	(revision afcd56350bed45fcf0b7afd777dc5d054d577af7)
@@ -1,7 +1,7 @@
 *** TEST 22 ***
 INIT - rtems_timer_create - creating timer 1
-INIT - timer 1 has id (0x14010001)
+INIT - timer 1 has id (0x12010001)
 TA1 - rtems_timer_ident - identing timer 1
-TA1 - timer 1 has id (0x14010001)
+TA1 - timer 1 has id (0x12010001)
 TA1 - rtems_clock_get - 09:00:00   12/31/1988
 TA1 - rtems_timer_fire_after - timer 1 in 3 seconds
Index: testsuites/sptests/sp23/sp23.scn
===================================================================
--- testsuites/sptests/sp23/sp23.scn	(revision 6184265d9ed5544f209a7a152f4552e10fa10b7d)
+++ testsuites/sptests/sp23/sp23.scn	(revision afcd56350bed45fcf0b7afd777dc5d054d577af7)
@@ -1,5 +1,5 @@
 *** TEST 23 ***
 INIT - rtems_port_create - DP1 - int = 0x1000   ext = 0x2000
-TA1 - rtems_port_ident - 0x28010001
+TA1 - rtems_port_ident - 0x3a010001
 TA1 - rtems_port_external_to_internal - 0x200e  =>  0x100e
 TA1 - rtems_port_internal_to_external - 0x100e  =>  0x200e
Index: testsuites/sptests/sp25/sp25.scn
===================================================================
--- testsuites/sptests/sp25/sp25.scn	(revision 6184265d9ed5544f209a7a152f4552e10fa10b7d)
+++ testsuites/sptests/sp25/sp25.scn	(revision afcd56350bed45fcf0b7afd777dc5d054d577af7)
@@ -3,5 +3,5 @@
       segments noted as being returned were allocated from the region.
 *** TEST 25 ***
-TA1 - rtems_region_ident - 0x24010002
+TA1 - rtems_region_ident - 0x32010002
 TA1 - rtems_region_get_segment - wait on 64 byte segment from region 1
 TA1 - got segment from region 1 - 0xXXXXXXXX
Index: testsuites/sptests/sp31/sp31.scn
===================================================================
--- testsuites/sptests/sp31/sp31.scn	(revision 6184265d9ed5544f209a7a152f4552e10fa10b7d)
+++ testsuites/sptests/sp31/sp31.scn	(revision afcd56350bed45fcf0b7afd777dc5d054d577af7)
@@ -1,11 +1,11 @@
 *** TEST 31 ***
 INIT - rtems_timer_create - creating timer 1
-INIT - timer 1 has id (0x14010001)
+INIT - timer 1 has id (0x12010001)
 INIT - rtems_timer_create - creating timer 2
-INIT - timer 2 has id (0x14010002)
+INIT - timer 2 has id (0x12010002)
 TA1 - rtems_timer_ident - identing timer 1
-TA1 - timer 1 has id (0x14010001)
+TA1 - timer 1 has id (0x12010001)
 TA1 - rtems_timer_ident - identing timer 2
-TA1 - timer 2 has id (0x14010002)
+TA1 - timer 2 has id (0x12010002)
 TA1 - rtems_timer_server_fire_after - 1 second
 TA1 - rtems_task_wake_after - 1/2 second
